import { Exome } from "exome";
/**
 * Saves given store instance and its children (even recursive) to string that can be later restored.
 *
 * @example:
 * ```ts
 * class CounterStore extends Exome {
 *   public count = 5
 *
 *   public increment() {
 *     this.count += 1
 *   }
 * }
 *
 * saveState(new CounterStore())
 * ```
 */
export declare const saveState: (store: Exome, readable?: boolean) => string;
