import { Exome } from "exome";
/**
 * Subscribes to store instance update events and trigger updates to component accordingly.
 *
 * @example:
 * ```ts
 * <script lang="ts" setup>
 *   import { useStore } from "exome/vue"
 *   import { counterStore } from "./counter.store.ts"
 *
 *   const { count, increment } = useStore(counterStore)
 * </script>
 *
 * <template>
 *   <button @click="increment()">{{ count }}</button>
 * </template>
 * ```
 */
export declare function useStore<T extends Exome>(store: T): Readonly<T>;
